#!/usr/bin/env node

/*
Copyright (c) 2018-2019 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
"use strict";

var _yargs = require("yargs");

var _core = require("@dubstep/core");

var _styledFlowfixme = _interopRequireDefault(require("./styled-flowfixme.js"));

var _styledV8ThemedStyled = _interopRequireDefault(require("./styled-v8-themedStyled.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let dir = _yargs.argv.dir;

if (!dir) {
  throw new Error('Must specify a directory with the --dir argument. ex: --test=src');
} // terminal auto-completes directories with a '/' suffix


if (dir[dir.length - 1] === '/') {
  dir = dir.substring(0, dir.length - 1);
}

const steps = [(0, _core.step)('apply flowfixme to baseui styled calls without type definitions', async () => {
  await (0, _styledFlowfixme.default)({
    dir
  });
}), (0, _core.step)('migrate styled theme generic to createThemedStyled', async () => {
  await (0, _styledV8ThemedStyled.default)({
    dir
  });
})];
const stepper = new _core.Stepper(steps);
stepper.run();